Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.uka.cmtm.serviceregistry.publish.uddi
Enum UddiTModels

    java.lang.Object
      java.lang.Enum<UddiTModels>
          de.uka.cmtm.serviceregistry.publish.uddi.UddiTModels

All Implemented Interfaces:
  Serializable, Comparable<UddiTModels>

    public enum UddiTModels

extends Enum<UddiTModels>

This enum holds frequently used tModel information.

Author:
  tilmann

Enum Constant Summary
`SERVICE_PROFILE` The tModel for storing the service profile referneces.
`TYPES` The UDDI types tModel

Method Summary
`String` | `getKey()`
`String` | `getName()`
`static UddiTModels` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UddiTModels[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TYPES

    public static final UddiTModels TYPES

  The UDDI types tModel

### SERVICE_PROFILE

    public static final UddiTModels SERVICE_PROFILE

  The tModel for storing the service profile referneces. The key is unknown and retrieved from UDDI.

Method Detail

### values

    public static final UddiTModels[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(UddiTModels c : UddiTModels.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static UddiTModels valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getKey

    public String getKey()

  Returns:
    the key

### getName

    public String getName()

  Returns:
    the name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD